package com.chenyang.druid.sql.dialect.phoenix.ast;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.dialect.phoenix.visitor.PhoenixASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public abstract class PhoenixStatementImpl extends SQLStatementImpl implements PhoenixObject {
   public PhoenixStatementImpl() {
      super(DbType.phoenix);
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor instanceof PhoenixASTVisitor) {
         this.accept0((PhoenixASTVisitor)visitor);
      } else {
         super.accept0(visitor);
      }
   }

   public abstract void accept0(PhoenixASTVisitor var1);
}
